NonstandardSwap::arguments Class Reference

Arguments for nonstandard swap calculation More...

`#include <ql/instruments/nonstandardswap.hpp>`

Inheritance diagram for NonstandardSwap::arguments:
[legend]

## Public Member Functions

void | validate () const

## Public Attributes

VanillaSwap::Type | type
std::vector< Real > | fixedNominal
std::vector< Real > | floatingNominal
std::vector< Date > | fixedResetDates
std::vector< Date > | fixedPayDates
std::vector< Time > | floatingAccrualTimes
std::vector< Date > | floatingResetDates
std::vector< Date > | floatingFixingDates
std::vector< Date > | floatingPayDates
std::vector< Real > | fixedCoupons
std::vector< Real > | fixedRate
std::vector< Spread > | floatingSpreads
std::vector< Real > | floatingGearings
std::vector< Real > | floatingCoupons
boost::shared_ptr< IborIndex > | iborIndex
std::vector< bool > | fixedIsRedemptionFlow
std::vector< bool > | floatingIsRedemptionFlow

## Detailed Description

Arguments for nonstandard swap calculation